<?php namespace App\Http\Requests;
 
use Illuminate\Foundation\Http\FormRequest;
 
class SalaireRequest extends FormRequest {
    public function rules() {
        return [
            'id' => '',
            'benum' => 'required',
            'sonum' => 'required',
            'dat_ent' => '',
            'dat_sor' => '',
            'annee' => 'required|max:4',
            'jan' => '',
            'fev' => '',
            'mar' => '',
            'avr' => '',
            'mai' => '',
            'jun' => '',
            'jui' => '',
            'aou' => '',
            'sep' => '',
            'oct' => '',
            'nov' => '',
            'dec' => '',
        ];
    }
 

     public function attributes() {
        return [
            'benum' => 'Bénéficiaire',
            'sonum' => 'Employeur',
            'dat_ent' => 'Date d\'entrée',
            'dat_sor' => 'Date de sortie',
            'annee' => 'Année',
        ];
    }


    public function authorize() {
        return true;
    }
}












